package org.example.hello.impl;

import javax.jws.WebService;

import org.apache.log4j.Logger;
import org.example.bean.Bean;
import org.example.hello.Hello;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.ws.client.core.support.WebServiceGatewaySupport;


@WebService(endpointInterface = "org.example.hello.Hello")
public class HelloImpl extends WebServiceGatewaySupport implements Hello {
	static Logger	log	= Logger.getLogger(HelloImpl.class);
	Bean bean;
	public String sayHello(String value) {
		return "You said: " + value;
	}
	public Bean getBean() {
		return bean;
	}
	public void setBean(Bean bean) {
		this.bean = bean;
	}

}
